apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    a8r.io/repository: ssh://git@git.tr1ceracop.de:222/gitea_admin/k8s-and-chill.git
    cert-manager.io/cluster-issuer: letsencrypt
  labels:
    app: forgejo
    app.kubernetes.io/instance: forgejo
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/name: forgejo
    app.kubernetes.io/version: 7.0.3
    helm.sh/chart: forgejo-6.1.0
    version: 7.0.3
  name: forgejo
  namespace: forgejo
spec:
  rules:
    - host: git.tr1ceracop.de
      http:
        paths:
          - backend:
              service:
                name: forgejo-http
                port:
                  number: 3000
            path: /
            pathType: Prefix
  tls:
    - hosts:
        - git.tr1ceracop.de
      secretName: forgejo-tls
